{%- comment -%}
Empezamos con los ítems que no dependen de otros e implementamos
recursivamente.
{%- endcomment -%}
{%- assign items = site.posts | where: 'layout', 'menu' | where: 'item', nil -%}

<nav class="navbar navbar-expand-lg navbar-light">
  {% unless items == empty %}
    <button class="navbar-toggler"
            type="button"
            data-toggle="collapse"
            data-target="#menu"
            aria-label="{{ site.i18n.menu.title }}">
      <span class="navbar-toggler-icon"></span>
    </button>
  {% endunless %}

  <div class="collapse navbar-collapse" id="menu">
    <div class="navbar-nav w-100 d-flex align-items-start justify-content-center">
      {% for item in items %}
        {%- include_cached item.html item=item -%}
      {% endfor %}
    </div>
  </div>
</nav>
